Subject: Re: [bug#74609] [PATCH 00/21] mono bootstrap

From: Efraim Flashner <[email-masked]>
Date: Sat, 21 Dec 2024 18:39:30 +0200

On Sat, Dec 21, 2024 at 12:03:17PM +0100, Ludovic Courtès wrote:
> Hi Efraim,
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > It turns out the first 2 patches didn't apply cleanly, so I fixed that
> > up and I'm sending them back to the list.
> >
> > A couple of things that I noticed:
> >
> > * mono-5.something doesn't have its patches apply cleanly
> > * I was only able to build to mono-3.12 before I got a build failure on
> > x86_64
> 
> Oh, that looks like half of the chain.  Could you share the error with
> unmush?  Does it fail reproducibly?

We figured out there was a race condition and now the earlier versions
of mono have parallel-build? #f set.

> > * mono-1.2.6 doesn't have support for aarch64 or riscv64, and will
> > probably need some patches (later) to add support.
> > * libjit FTBFS on powerpc64le. I tried working around it but wasn't
> > successful in when it came to using libjit.
> > * The assembly included in libjit targets a too-early version of arm, so
> > it is just broken completely on armhf and would probably do best with it
> > being ripped out.
> 
> Regarding architecture support, that’s fine: we can add a suitably
> restrictive ‘supported-systems’ field and improve platform coverage
> if/when patches are available.
> 
> Thanks,
> Ludo’.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted